Bug 1119646 - denied access for windbind to /proc/sys/kernel/core_pattern
Summary: denied access for windbind to /proc/sys/kernel/core_pattern
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1017034
TreeView+ depends on / blocked
 
Reported: 2014-07-15 08:20 UTC by Jakub Jelen
Modified: 2016-07-19 11:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:55:59 UTC


Attachments (Terms of Use)
AVC log (4.92 KB, text/plain)
2014-07-15 08:20 UTC, Jakub Jelen
no flags Details

Description Jakub Jelen 2014-07-15 08:20:22 UTC
Created attachment 918077 [details]
AVC log

Description of problem:
Our test  /CoreOS/sudo/Regression/bz866637-sudo-l-does-not-parse-information-after-the fails with AVC in Fedora Rawhide.

There are different labels between F20 and Fedora Rawhide:
On my F20 machine:
-rw-r--r--. root root system_u:object_r:sysctl_kernel_t:s0 /proc/sys/kernel/core_pattern
On Rawhide:
-rw-r--r--. root root system_u:object_r:usermodehelper_t:s0 /proc/sys/kernel/core_pattern

In attached file there is also the same error for nmbd.


Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-63.fc21.noarch
samba-4.1.9-3.fc21.x86_64
samba-winbind-4.1.9-3.fc21.x86_64
kernel-3.15.4-200.fc20.x86_64


How reproducible:
deterministic

Steps to Reproduce:
1. Schedule test to beaker / run test
2. See AVC results / run ausearch

Actual results:
Test fails with attached AVC

Expected results:
PASS without AVC

Comment 2 Daniel Walsh 2014-07-15 22:47:21 UTC
Any idea why these apps are reading these files.  Can we turn on full auditing on the test machines, so that we get all AVC messages.

Comment 3 Jaroslav Reznik 2015-03-03 16:07:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora End Of Life 2016-07-19 11:55:59 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.